import { createPage as baseCreatePage } from '@cloudbase/weda-client';
import { checkAuth, getExpiredMessage } from './util'

export { PAGE_ROOT_SYMBOL } from '@cloudbase/weda-client';
export function createPage(props) {
  return baseCreatePage({
    ...props,
    style: <%= pageStyle || '{}' %>,
    checkAuth,
    getExpiredMessage: function () {
      return getExpiredMessage(<%= expirationStartTimesnap %>)
    }
  })
}
